* {
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    margin: 0;
}

.half {
    width: 50%;
}

body.dark {
    background: linear-gradient(#241c5d 100%, #17123c 100%);
    color: #fff;
}

body.light {
    background: #ecf0f9;
}

.wrapper {
    max-width: calc(1326px + 64px);
    margin: auto;
    padding: 0 2rem;
}

header {
    padding: 53px 0;
    text-align: center;
}

main {
    margin-bottom: 5rem;
}

main.allSocials .grid {
    display: grid;
    grid-template-areas:
        "one two three four"
        "five six seven eight"
        "nine nine nine nine";
    gap: 30px;
    grid-auto-columns: minmax(0, 1fr);
}

main.allSocials .grid .grid-item {
    background: #fff;
    box-shadow: -3px 3px 58px 0px #09023c;
    border-radius: 20px;
    color: #000;
    padding: 46px 40px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

main.allSocials .grid .grid-item:nth-child(1) {
    grid-area: one;
}

main.allSocials .grid .grid-item:nth-child(2) {
    grid-area: two;
}

main.allSocials .grid .grid-item:nth-child(3) {
    grid-area: three;
}

main.allSocials .grid .grid-item:nth-child(4) {
    grid-area: four;
}

main.allSocials .grid .grid-item:nth-child(5) {
    grid-area: five;
}

main.allSocials .grid .grid-item:nth-child(6) {
    grid-area: six;
}

main.allSocials .grid .grid-item:nth-child(7) {
    grid-area: seven;
}

main.allSocials .grid .grid-item:nth-child(8) {
    grid-area: eight;
}

main.allSocials .grid .grid-item:nth-child(9) {
    grid-area: nine;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 46px 76px;
}

main.allSocials .grid .grid-item:nth-child(9) h2 {
    font-weight: 500;
    font-size: 30px;
    line-height: 45px;
    color: #333;
    margin: 0;
}

main.allSocials .grid .grid-item:nth-child(9) p {
    margin: 0;
}

main.allSocials .grid .grid-item:nth-child(9) .cell:nth-of-type(2),
main.allSocials .grid .grid-item:nth-child(9) .cell:nth-of-type(3) {
    font-weight: 500;
    font-size: 26px;
    line-height: 39px;
    color: #555;
}

main.allSocials .grid-item h3 {
    margin: 0;
    font-size: 20px;
    font-weight: 500;
}

main.allSocials .grid-item .item-header {
    display: flex;
    align-items: center;
    gap: 1rem;
    line-height: 26.4px;
}

main.allSocials .grid-item .followers-count {
    margin: 0;
    font-size: 20px;
    font-weight: 500;
    color: #555;
}

main.allSocials .grid-item .last-days {
    line-height: 40px;
}

main.allSocials .grid-item .last-days h4,
main.allSocials .grid-item .last-days span {
    margin: 0;
    font-size: 20px;
}

main.allSocials .grid-item .last-days h4 {
    font-weight: 600;
}

main.allSocials .grid-item .last-days span {
    color: #555;
    font-weight: 500;
}

footer {
    padding-bottom: 1rem;
    text-align: center;
    font-size: 20px;
    font-weight: 500;
    line-height: 40px;
}

/* vertical-list.php */

.list .list-item {
    display: flex;
    background: #fff;
    box-shadow: 0px 14px 28px 0px #12094e;
    border-radius: 20px;
    padding: 18px 50px;
    color: #000;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
}

.list .list-item:not(:last-of-type) {
    margin-bottom: 30px;
}

.list .list-item .social {
    display: flex;
    align-items: center;
    gap: 1rem;
    line-height: 26.4px;
}

.list .list-item .social h3 {
    margin: 0;
    font-size: 20px;
    font-weight: 500;
}

.list .list-item .followers,
.list .list-item .last-days {
    font-weight: 500;
    line-height: 26px;
    font-size: 20px;
    color: #555;
}

.list .list-item .last-days strong {
    color: #000;
    font-weight: 600;
}

/* ath.php */

.ath {
    padding: 3rem;
}

.ath .wrapper {
    background: #fff;
    border-radius: 20px;
    padding: 3rem;
    min-width: 1200px;
}

.ath .header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 4rem;
}

.ath .header .logo {
    font-size: 32px;
    font-weight: 600;
}

.ath .header .logo span:nth-of-type(1) {
    color: #333;
}

.ath .header .logo span:nth-of-type(2) {
    color: #092e82;
}

.ath .header .logo img {
    max-width: 32px;
}

.ath .header .date {
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    padding: 8px 16px;
    background: #344160;
    color: #fff;
}

.chart .chart-header {
    color: #b2b8c4;
    font-weight: 500;
    border-bottom: 1px solid #dfdede;
    margin-bottom: 1.5rem;
}

.chart .col {
    padding: 1.3rem;
}

.chart .chart-grid {
    display: grid;
    grid-template-columns: 4.5fr 1.5fr 1.5fr 2.5fr;
    align-items: center;
}

.chart .chart-grid:not(:last-of-type) {
    border-bottom: 1px solid #dfdede;
}

.chart .coin {
    display: flex;
    align-items: center;
    gap: 3rem;
}

.chart .coin .name-and-value {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.chart .coin .left {
    line-height: 0;
}

.chart .coin .right {
    display: flex;
    flex-direction: column;
}

.chart .coin .name {
    font-size: 18px;
    font-weight: 500;
}

.chart .coin .value {
    font-size: 14px;
    color: #555;
}

.chart .price-change {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.chart .price-change.decrement {
    color: #f36079;
}

.chart .price-change.increment {
    color: #04ce00;
}

.chart .price-change.increment .indicator {
    transform: scaleY(-1);
    margin-top: 0;
}

.chart .price-change .indicator {
    margin-top: -1px;
}

.chart .upcoming-unlock .block {
    background: #5b70a4;
    color: #fff;
    border-radius: 10px;
    display: flex;
    justify-content: space-between;
    padding: 0.2rem;
    padding-left: 1rem;
    font-size: 14px;
}

.chart .upcoming-unlock .block .left {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.chart .upcoming-unlock .block .left .percent {
    color: rgba(255, 255, 255, 0.6);
}

.chart .upcoming-unlock .block .right {
    background: #344160;
    border-radius: 10px;
    padding: 0.6rem 1rem;
    text-align: center;
}

@media (max-width: 1365px) {
    main.allSocials .grid {
        grid-template-areas:
            "one two three"
            "four five six"
            "seven eight eight"
            "nine nine nine";
    }
}

@media (max-width: 900px) {
    main.allSocials .grid {
        grid-template-areas:
            "one two"
            "three four"
            "five six"
            "seven eight"
            "nine nine";
        grid-auto-columns: minmax(0, 1fr);
    }

    main.allSocials .grid .grid-item:nth-child(9) {
        flex-direction: column;
        text-align: center;
    }

    .list .list-item {
        flex-direction: column;
        padding: 30px;
    }
}

@media (max-width: 600px) {
    main.allSocials .grid {
        grid-template-areas:
            "one"
            "two"
            "three"
            "four"
            "five"
            "six"
            "seven"
            "eight"
            "nine";
        grid-auto-columns: minmax(0, 1fr);
    }

    main.allSocials .grid .grid-item:nth-child(9) {
        flex-direction: column;
        text-align: center;
        padding: 2rem;
        gap: 2rem;
    }

    .list .list-item {
        align-items: flex-start;
    }
}
